The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Предупреждение о скором прекращении поддержки FreeBSD 6.4 и 8.0"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Предупреждение о скором прекращении поддержки FreeBSD 6.4 и 8.0"  +/
Сообщение от opennews (??) on 01-Сен-10, 21:50 
Опубликовано (http://lists.freebsd.org/pipermail/freebsd-announce/2010-Sep...) предупреждение об окончании времени жизни и прекращении выпуска связанных с безопасностью обновлений для релизов FreeBSD 6.4 и 8.0, начиная с 30 ноября 2010 года. Одновременно будет полностью прекращена поддержка ветки FreeBSD 6.x, сборка портов для которой не будет гарантирована. Пользователям рекомендуется спланировать обновление своих систем до FreeBSD 7.3 или 8.1, время поддержки которых продлится до 31 марта и 31 июля 2012 года.

URL: http://lists.freebsd.org/pipermail/freebsd-announce/2010-Sep...
Новость: http://www.opennet.ru/opennews/art.shtml?num=27821

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним email(??) on 01-Сен-10, 21:50 
Нормально обновляется?
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +2 +/
Сообщение от mephist (ok) on 01-Сен-10, 21:56 
полет нормальный
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  –5 +/
Сообщение от metallic on 01-Сен-10, 21:59 
После обновления 7.2 до 7.3 меняется версия какой-то библиотеки, щас на вскидку не скажу какой, после чего перестают работать bash, mc и еще много чего, ругаются на ее отсутствие, у меня у рута был прописан шелл - bash, соответственно залогиниться было невозможно, пришлось грузиться в синглюзер моде, а проблема решается симлинком с новый библиотеки на имя старой.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Dog on 01-Сен-10, 22:10 
Странно, первый раз слышу. Несколько серваков удачно пережили обновления 6.[12] - 6.3 - 6.4 - 7.1 - 7.2 - 7.3 - 8.1, ни разу при обновлении внутри ветки bash не ломался.
А вот насколько целесообразно ставить руту шелл из портов...
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

8. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним (??) on 01-Сен-10, 23:07 
cd /usr/src && make delete-old
сделайте
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

11. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от iZEN (ok) on 01-Сен-10, 23:24 
>cd /usr/src && make delete-old
>сделайте

Тогда уж:
cd /usr/src/ && make BATCH_DELETE_OLD_FILES=true delete-old delete-old-libs

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

14. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Dog on 02-Сен-10, 00:49 
Делал, само собой разумеется. И _ни_разу_ проблем с башем не возникало - правда, при условии, что он никогда не был рутовым шеллом. У обычных юзеров спокойно запускался на новой версии внутри ветки, причем без пересборки.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

5. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +4 +/
Сообщение от cvsup (ok) on 01-Сен-10, 22:13 
> После обновления 7.2 до 7.3 меняется версия какой-то библиотеки

Вызывающе неверная информация. И это противоречит политике стабильных веток.

# uname -rs
FreeBSD 7.2-RELEASE-p6
# ldd /usr/local/bin/bash
/usr/local/bin/bash:
        libncurses.so.7 => /lib/libncurses.so.7 (0x7d6cc000)
        libintl.so.8 => /usr/local/lib/libintl.so.8 (0x7d818000)
        libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x7d921000)
        libc.so.7 => /lib/libc.so.7 (0x7db1b000)

# uname -rs
FreeBSD 7.3-RELEASE
# ldd /usr/local/bin/bash
/usr/local/bin/bash:
        libncurses.so.7 => /lib/libncurses.so.7 (0x7d6d0000)
        libintl.so.8 => /usr/local/lib/libintl.so.8 (0x7d81c000)
        libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x7d925000)
        libc.so.7 => /lib/libc.so.7 (0x7db1f000)

> После обновления 7.2 до 7.3 меняется версия какой-то библиотеки

Какой-то библиотекой может быть libintl.so или libiconv.so , но это оффтопик.

Используете небазовый шелл для рута - вот и поплатились.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

7. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +2 +/
Сообщение от iZEN (ok) on 01-Сен-10, 22:55 
>проблема решается симлинком с новый библиотеки на имя старой.

Может вместо симлинков пора использовать libmap.conf(5) как временное решение проблем с библиотеками? В одном файле можно написать то, что в других операционных системах раскидывается по самой ФС. ;)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

9. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  –3 +/
Сообщение от Аноним (??) on 01-Сен-10, 23:08 
>>проблема решается симлинком с новый библиотеки на имя старой.
>
>Может вместо симлинков пора использовать libmap.conf(5) как временное решение проблем с библиотеками?
>В одном файле можно написать то, что в других операционных системах
>раскидывается по самой ФС. ;)

)) рад что тебя научили в maillist ? теперь других учишь

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

10. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от iZEN (ok) on 01-Сен-10, 23:22 
>)) рад что тебя научили в maillist ? теперь других учишь

Я ни на одну рассылку не подписывался. Просто прочёл Лукаса.


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

12. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +4 +/
Сообщение от Аноним (??) on 01-Сен-10, 23:42 
> у меня у рута был прописан шелл - bash, соответственно залогиниться было невозможно

Напишите на доске двести раз: "Я больше не буду менять рутовый шелл. Я больше не буду работать под рутом."

ну и читать /usr/src/UPDATING надо, да.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

13. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от auk on 01-Сен-10, 23:57 
как это знакомо всё :)
видимо было сделано
make delete-old-libs
после этого действительно такое случается
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

23. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от аноним on 02-Сен-10, 15:52 
>как это знакомо всё :)
>видимо было сделано
>make delete-old-libs
>после этого действительно такое случается

Только при обновлении между ветками.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

15. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +1 +/
Сообщение от nanodaemon2 on 02-Сен-10, 04:37 
>у меня у рута был прописан шелл - bash

а на кой хер руту шелл менять на тот которого нет в base ? => ссзб

>соответственно залогиниться было невозможно

у вас еще и permitrootlogin yes ? ужас какой :(

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

16. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним (??) on 02-Сен-10, 05:41 
>а проблема решается симлинком с новый библиотеки на имя старой.

почитайте уже о libmap.conf и прекратите делать симлинки.
и кстати не ставьте баш на рута, будет переполнение раздела - упадет ваш баш и будете опять с сингл моде плясать.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

19. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от тигар (ok) on 02-Сен-10, 10:19 
а че, bash падает при переполнении раздела?:-\
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

33. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от XoRe (ok) on 02-Сен-10, 21:08 
>а че, bash падает при переполнении раздела?:-\

Я думаю, комрад имел в виду, что так же не будет запускаться и не даст войти.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

34. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним (??) on 03-Сен-10, 10:36 
>>а че, bash падает при переполнении раздела?:-\
>
>Я думаю, комрад имел в виду, что так же не будет запускаться
>и не даст войти.

тут неприятность в том, что bash использует динамические либы, в отличии от csh, которыми как известно руководит ldconfig, так вот ldconfig при каждой перезагрузке системы собирает кэш для либ, если корневой раздел переполнен - кеш имеет нулевой размер и как результат - bash не запускается. но это еще не трагизм, ребутается система, и вообще пересобирется кеш, не так часто, трагизм в том, что были случаи когда на живой системе с переполненным корнем отваливался bash, уж фиг знает почему, но падал и все тут.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

36. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от XoRe (ok) on 03-Сен-10, 11:50 
>[оверквотинг удален]
>>и не даст войти.
>
>тут неприятность в том, что bash использует динамические либы, в отличии от
>csh, которыми как известно руководит ldconfig, так вот ldconfig при каждой
>перезагрузке системы собирает кэш для либ, если корневой раздел переполнен -
>кеш имеет нулевой размер и как результат - bash не запускается.
>но это еще не трагизм, ребутается система, и вообще пересобирется кеш,
>не так часто, трагизм в том, что были случаи когда на
>живой системе с переполненным корнем отваливался bash, уж фиг знает почему,
>но падал и все тут.

Забавно)
Но это такая проблема баша только во фре, или в линухе тоже?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

39. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним (??) on 04-Сен-10, 10:50 
>Забавно)
>Но это такая проблема баша только во фре, или в линухе тоже?
>

не знаю, я не работаю с линуксом, а bash в качестве рутового шелла достался в свое время от предыдущего админа и в один прекрасный момент был искоренен.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

40. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от zazik (ok) on 07-Сен-10, 17:38 
>[оверквотинг удален]
>>и не даст войти.
>
>тут неприятность в том, что bash использует динамические либы, в отличии от
>csh, которыми как известно руководит ldconfig, так вот ldconfig при каждой
>перезагрузке системы собирает кэш для либ, если корневой раздел переполнен -
>кеш имеет нулевой размер и как результат - bash не запускается.
>но это еще не трагизм, ребутается система, и вообще пересобирется кеш,
>не так часто, трагизм в том, что были случаи когда на
>живой системе с переполненным корнем отваливался bash, уж фиг знает почему,
>но падал и все тут.

Эээ, а зачем переполнять рут? И чем, конфигами?

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

22. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от аноним on 02-Сен-10, 15:50 
> После обновления 7.2 до 7.3 меняется версия какой-то библиотеки

Это ложь - в рамках одной ветки поддерживается полная совместимость.

> после чего перестают работать bash, mc

Они используют кучу библиотек из портов - вот их версии могут измениться. Если вы не используете portmaster/portupgrade, которые сохраняют старые версии - ССЗБ. А если используете, ничего сломаться в принцыпе не может. Таким, как вы, рекоммендуют руту шелл не менять.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

35. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от odus (ok) on 03-Сен-10, 11:15 
>Это ложь - в рамках одной ветки поддерживается полная совместимость.

Неправда
Пару раз были изменения что требуется пересборка всего

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

37. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от mr_gfd on 04-Сен-10, 00:08 
>>Это ложь - в рамках одной ветки поддерживается полная совместимость.
>
>Неправда
>Пару раз были изменения что требуется пересборка всего

пруф или не было

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

38. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от аноним on 04-Сен-10, 06:54 
Врете.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним (??) on 01-Сен-10, 22:29 
>у меня у рута был прописан шелл - bash

читать, чтоли Э. Немет

менять shell у root-а при обновлении не стоит.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

17. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от i (??) on 02-Сен-10, 08:56 
а не проще bash в профиль добавить ?
Если не запустится, останется sh
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

18. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от сыр on 02-Сен-10, 09:33 
не понимаю зачем вы используете линуксовый bash вместо шелла? Разве csh чем то хуже? он хоть без правки конфигов и читки манов сразу автодополнять умеет.
И да, не меняйте шелл руту вообще, бросайте эти линуксовые замашки, тут совсем другие ребята (с)
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

20. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от тигар (ok) on 02-Сен-10, 10:30 
>не понимаю зачем вы используете линуксовый bash вместо шелла? Разве csh чем
>то хуже? он хоть без правки конфигов и читки манов сразу
>автодополнять умеет.

по ^d чтоли? такэто вычитать нужно для начала где-нибудь;-) по умолчанию autolist выключен.

>И да, не меняйте шелл руту вообще, бросайте эти линуксовые замашки, тут
>совсем другие ребята (с)

p.s. я удивлен.. почему еще никто не написал про static и cp этого ...bash в /bin/ ?:)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

25. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от аноним on 02-Сен-10, 15:54 
>p.s. я удивлен.. почему еще никто не написал про static и cp
>этого ...bash в /bin/ ?:)

А вот это действительно линуксовые замашки.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

27. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от тигар (ok) on 02-Сен-10, 16:18 
>>p.s. я удивлен.. почему еще никто не написал про static и cp
>>этого ...bash в /bin/ ?:)
>
>А вот это действительно линуксовые замашки.

не знаю. не пользуюсь ни bash ни линакс.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

26. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от QuAzI (??) on 02-Сен-10, 16:01 
Выключен? Уж года 2 как пользуюсь, хотя не знал что включать надо.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

28. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от тигар (ok) on 02-Сен-10, 16:20 
>Выключен? Уж года 2 как пользуюсь, хотя не знал что включать надо.
>

Правда? У меня наверное пиратский /usr/src/etc/root/dot.cshrc на всех машинах, там выключено;(

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

31. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Andrew Kolchoogin on 02-Сен-10, 20:28 
set autolist=ambiguous, если хотите, чтобы tcsh срал на экран сотней альтернатив, как и bash.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

21. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Аноним (??) on 02-Сен-10, 14:13 
> И да, не меняйте шелл руту вообще

tcsh (а не csh) у root'а только в multiuser режиме. Но вменяемые люди отключают возможность логина root'ом через ttys(5)/passwd(5) и используют su/sudo. А в singleuser режиме используется ash (точнее форк) по умолчанию.

Наличие рутовского шелла - это большая дырка в безопасности, которая становится еще больше при отсутствии wheel группы.
http://administratosphere.wordpress.com/2007/07/19/the-wheel.../

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

29. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от тигар (ok) on 02-Сен-10, 16:24 
>> И да, не меняйте шелл руту вообще
>
>tcsh (а не csh) у root'а только в multiuser режиме. Но вменяемые
>люди отключают возможность логина root'ом через ttys(5)/passwd(5) и используют su/sudo. А
>в singleuser режиме используется ash (точнее форк) по умолчанию.
>

finger root ?
single-user -> echo $SHELL ?

>Наличие рутовского шелла - это большая дырка в безопасности, которая становится еще
>больше при отсутствии wheel группы.

наличие пользовательских аккаунтов тоже дырка (вон линуксойды как пароли "вспоминают"?;)), а что делать?
>http://administratosphere.wordpress.com/2007/07/19/the-wheel.../

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

24. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  –2 +/
Сообщение от аноним on 02-Сен-10, 15:53 
>не понимаю зачем вы используете линуксовый bash вместо шелла? Разве csh чем
>то хуже? он хоть без правки конфигов и читки манов сразу
>автодополнять умеет.

csh - убожество с невменяемым синтаксисом.

>И да, не меняйте шелл руту вообще, бросайте эти линуксовые замашки, тут
>совсем другие ребята (с)

Ничего линуксового тут нет, и ничего плохого тоже нет. Надо просто обновляться по-человечески.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

30. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от аноним on 02-Сен-10, 19:45 
Ура! И, наконец, костыли для поддержки gcc3 из портов повыносят.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

32. "Предупреждение о скором прекращении поддержки FreeBSD 6.4 и ..."  +/
Сообщение от Andrew Kolchoogin on 02-Сен-10, 20:29 
> Ура! И, наконец, костыли для поддержки gcc3 из портов повыносят.

Большинство портов собираются и gcc2. ;)

Я тут недавно раскатал в Jail userland от 4.11, и собрал там с полсотни портов. Собралось почти всё системным gcc.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру